## NAME

t.vect.univar.py - Calculates univariate statistics of attributes for each registered vector map of a space time vector dataset

## KEYWORDS

temporal, statistics, vector, time

## SYNOPSIS

t.vect.univar.py
t.vect.univar.py --help
t.vect.univar.py [-eu] input=name [output=name] [layer=string] column=name [twhere=sql_query] [where=sql_query] [type=string] [separator=character] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-e
  Calculate extended statistics
-u
  Suppress printing of column names
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time vector dataset
output=name
  Name for output file
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
column=name [required]
  Name of attribute column
twhere=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
type=string
  Input feature type
  Options: point, line, boundary, centroid, area
  Default: point
separator=character
  Field separator character between the output columns
  Special characters: pipe, comma, space, tab, newline
  Default: pipe

## DESCRIPTION

The module t.vect.univar computes univariate statistics of a space time vector dataset based on a single attribute row.

## EXAMPLE

The example is based on the t.vect.observe.strds example; so create the precip_stations space time vector dataset and after run the following command:

    t.vect.univar input=precip_stations col=month
    id|start|end|n|nmissing|nnull|min|max|range|mean|mean_abs|population_stddev|population_variance|population_coeff_variation|sample_stddev|sample_variance|kurtosis|skewness
    precip_stations_monthly@climate_2009_2012|2009-01-01 00:00:00|2009-02-01 00:00:00|132|0|4|-2.31832|7.27494|9.59326|3.44624|3.5316|1.79322|3.21564|0.520341|1.80005|3.24019|0.484515|-0.338519
    precip_stations_monthly@climate_2009_2012|2009-02-01 00:00:00|2009-03-01 00:00:00|132|0|4|-0.654152|7.90613|8.56028|5.47853|5.48844|1.73697|3.01708|0.317051|1.74359|3.04011|0.875252|-1.0632
    ....
    precip_stations_monthly@climate_2009_2012|2012-10-01 00:00:00|2012-11-01 00:00:00|132|0|4|9.67596|18.4654|8.78945|14.945|14.945|1.90659|3.6351|0.127574|1.91386|3.66285|-0.0848967|-0.700833
    precip_stations_monthly@climate_2009_2012|2012-11-01 00:00:00|2012-12-01 00:00:00|132|0|4|3.56755|10.6211|7.05357|7.72153|7.72153|1.33684|1.78715|0.173132|1.34194|1.8008|0.90434|-0.863935
    precip_stations_monthly@climate_2009_2012|2012-12-01 00:00:00|2013-01-01 00:00:00|132|0|4|3.04325|11.6368|8.5935|8.20147|8.20147|1.78122|3.17275|0.217183|1.78801|3.19697|-0.177991|-0.501295

## SEE ALSO

t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.vect.univar source code (history)

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC2 Reference Manual